com.ihr.xbrl.util.workbooks

## Interface SheetPoint

- All Known Implementing Classes:
    ExcelSheetPoint

      public interface SheetPoint

  The Interface SheetPoint.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SheetPoint` | `clone()` Clone.
    `SheetPoint` | `down(int dRow)` Down.
    `boolean` | `equals(java.lang.Object obj)` Equals.
    `RSCell` | `getCell()` Gets the cell.
    `java.lang.String` | `getCellName()` Gets the cell name.
    `short` | `getCol()` Gets the col.
    `boolean` | `getContentAsBoolean()` Gets the content as boolean.
    `java.util.Date` | `getContentAsDate()` Gets the content as date.
    `java.lang.Double` | `getContentAsDouble()` Gets the content as double.
    `java.lang.String` | `getContentAsString()` Gets the content as string.
    `SheetPointFactory` | `getFactory()` Gets the factory.
    `int` | `getRow()` Gets the row.
    `RSSheet` | `getSheet()` Gets the sheet.
    `java.lang.String` | `getSheetName()` Gets the sheet name.
    `SheetPoint` | `left(int dCol)` Left.
    `SheetPoint` | `right(int dCol)` Right.
    `java.lang.String` | `toString()` To string.
    `SheetPoint` | `up(int dRow)` Up.

- - ### Method Detail

    - #### getContentAsDouble

          java.lang.Double getContentAsDouble()
                                              throws SheetPointAccessException

      Gets the content as double.
      Returns:
        the content as double
      Throws:
        `SheetPointAccessException` - the sheet point access exception

    - #### getContentAsBoolean

          boolean getContentAsBoolean()
                                      throws SheetPointAccessException

      Gets the content as boolean.
      Returns:
        the content as boolean
      Throws:
        `SheetPointAccessException` - the sheet point access exception

    - #### getContentAsDate

          java.util.Date getContentAsDate()
                                          throws SheetPointAccessException

      Gets the content as date.
      Returns:
        the content as date
      Throws:
        `SheetPointAccessException` - the sheet point access exception

    - #### getContentAsString

          java.lang.String getContentAsString()
                                              throws SheetPointAccessException

      Gets the content as string.
      Returns:
        the content as string
      Throws:
        `SheetPointAccessException` - the sheet point access exception

    - #### getCell

          RSCell getCell()
                         throws SheetPointAccessException

      Gets the cell.
      Returns:
        the cell
      Throws:
        `SheetPointAccessException` - the sheet point access exception

    - #### getSheet

          RSSheet getSheet()

      Gets the sheet.
      Returns:
        the sheet

    - #### getSheetName

          java.lang.String getSheetName()

      Gets the sheet name.
      Returns:
        the sheet name

    - #### getCellName

          java.lang.String getCellName()

      Gets the cell name.
      Returns:
        the cell name

    - #### getRow

          int getRow()

      Gets the row.
      Returns:
        the row

    - #### getCol

          short getCol()

      Gets the col.
      Returns:
        the col

    - #### getFactory

          SheetPointFactory getFactory()

      Gets the factory.
      Returns:
        the factory

    - #### clone

          SheetPoint clone()

      Clone.
      Returns:
        the sheet point

    - #### right

          SheetPoint right(int dCol)

      Right.
      Parameters:
        `dCol` - the d col
      Returns:
        the sheet point

    - #### down

          SheetPoint down(int dRow)

      Down.
      Parameters:
        `dRow` - the d row
      Returns:
        the sheet point

    - #### up

          SheetPoint up(int dRow)

      Up.
      Parameters:
        `dRow` - the d row
      Returns:
        the sheet point

    - #### left

          SheetPoint left(int dCol)

      Left.
      Parameters:
        `dCol` - the d col
      Returns:
        the sheet point

    - #### toString

          java.lang.String toString()

      To string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### equals

          boolean equals(java.lang.Object obj)

      Equals.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the obj
      Returns:
        true, if successful